Subject: Re: [bug#28616] disable failing bluez test

From: Marius Bakke <[email-masked]>
Date: Tue, 10 Oct 2017 23:40:39 +0200

Thomas Danckaert <[email-masked]> writes:

> From: Marius Bakke <[email-masked]>
> Subject: Re: [bug#28616] disable failing bluez test
> Date: Tue, 03 Oct 2017 23:50:56 +0200
>
>> I think we should apply the patch regardless (on 'core-updates'), with a
>> link to the upstream discussion.  IMO it's more important to be able to
>> build from source regardless of hardware, than running this one unit
>> test.  What do you think?
>
> I agree.
>
> I'll push this to core-updates then.

On second thought, "bluez" is currently failing on armhf, seemingly due
to the original patch: <https://hydra.gnu.org/build/2304811/nixlog/4/raw>

Excerpt:

--8<---------------cut here---------------start------------->8---
  CCLD     unit/test-gatt
XPASS: unit/test-gatt
make --no-print-directory all-am
============================================================================
Testsuite summary for bluez 5.47
============================================================================
# TOTAL: 25
# PASS:  24
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 1
# ERROR: 0
============================================================================
See ./test-suite.log
============================================================================
make[3]: *** [Makefile:8597: test-suite.log] Error 1
make[2]: *** [Makefile:8705: check-TESTS] Error 2
make[1]: *** [Makefile:9089: check-am] Error 2
make: *** [Makefile:9091: check] Error 2
phase `check' failed after 331.2 seconds
--8<---------------cut here---------------end--------------->8---

XPASS is "unexpected pass" according to
<https://www.gnu.org/software/automake/manual/html_node/Generalities-about-Testing.html>.

I found the autotools documentation sparse on this, how do we make it
skip this test instead of expecting a failure?